Update test plan
curl --request PATCH \
--url https://api.qa.tech/v1/test-plans/{testPlanShortId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"reviewInstructions": "<string>",
"addTestCaseIds": [
"<string>"
],
"removeTestCaseIds": [
"<string>"
],
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/test-plans/{testPlanShortId}"
payload = {
"name": "<string>",
"description": "<string>",
"reviewInstructions": "<string>",
"addTestCaseIds": ["<string>"],
"removeTestCaseIds": ["<string>"],
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
reviewInstructions: '<string>',
addTestCaseIds: ['<string>'],
removeTestCaseIds: ['<string>'],
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/test-plans/{testPlanShortId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/test-plans/{testPlanShortId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'reviewInstructions' => '<string>',
'addTestCaseIds' => [
'<string>'
],
'removeTestCaseIds' => [
'<string>'
],
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/test-plans/{testPlanShortId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"addTestCaseIds\": [\n \"<string>\"\n ],\n \"removeTestCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.qa.tech/v1/test-plans/{testPlanShortId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"addTestCaseIds\": [\n \"<string>\"\n ],\n \"removeTestCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/test-plans/{testPlanShortId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"addTestCaseIds\": [\n \"<string>\"\n ],\n \"removeTestCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"testPlan": {
"shortId": "<string>",
"name": "<string>",
"description": "<string>",
"testCaseCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"reviewInstructions": "<string>",
"testCases": [
{
"id": "<string>",
"name": "<string>",
"isEnabled": true,
"applicationShortId": "<string>"
}
]
}
}Test plans
Update test plan
Update a test plan’s name, description or review instructions, and add or remove test cases in the same call. Returns the updated plan.
PATCH
/
v1
/
test-plans
/
{testPlanShortId}
Update test plan
curl --request PATCH \
--url https://api.qa.tech/v1/test-plans/{testPlanShortId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"reviewInstructions": "<string>",
"addTestCaseIds": [
"<string>"
],
"removeTestCaseIds": [
"<string>"
],
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/test-plans/{testPlanShortId}"
payload = {
"name": "<string>",
"description": "<string>",
"reviewInstructions": "<string>",
"addTestCaseIds": ["<string>"],
"removeTestCaseIds": ["<string>"],
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
reviewInstructions: '<string>',
addTestCaseIds: ['<string>'],
removeTestCaseIds: ['<string>'],
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/test-plans/{testPlanShortId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/test-plans/{testPlanShortId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'reviewInstructions' => '<string>',
'addTestCaseIds' => [
'<string>'
],
'removeTestCaseIds' => [
'<string>'
],
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/test-plans/{testPlanShortId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"addTestCaseIds\": [\n \"<string>\"\n ],\n \"removeTestCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.qa.tech/v1/test-plans/{testPlanShortId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"addTestCaseIds\": [\n \"<string>\"\n ],\n \"removeTestCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/test-plans/{testPlanShortId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"addTestCaseIds\": [\n \"<string>\"\n ],\n \"removeTestCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"testPlan": {
"shortId": "<string>",
"name": "<string>",
"description": "<string>",
"testCaseCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"reviewInstructions": "<string>",
"testCases": [
{
"id": "<string>",
"name": "<string>",
"isEnabled": true,
"applicationShortId": "<string>"
}
]
}
}Path Parameters
Body
application/json
Required string length:
1 - 200Maximum string length:
2000Set to null to clear
Maximum string length:
4000Project test case IDs to add to the plan. Test cases already in the plan are ignored.
Maximum array length:
500Project test case IDs to remove from the plan. The test cases themselves are kept.
Maximum array length:
500Target a specific project by its prefixed short ID (proj-slug_shortId or proj_shortId), as returned by the projects API. Required for organization-scoped API keys; project-scoped keys may only pass their own project's short ID.
Pattern:
^proj(-.+_.+|_.+)$Was this page helpful?